Skip to main content
GET
/
api
/
v1
/
comments
/
{comment_id}
/
replies
List Comment Replies
curl --request GET \
  --url https://api.member.dev/api/v1/comments/{comment_id}/replies \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {
        "anchor": {},
        "author_contact_id": "<string>",
        "author_display_name": "<string>",
        "body": "<string>",
        "body_plain": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "edited_at": "2023-11-07T05:31:56Z",
        "is_deleted": true,
        "parent_comment_id": "<string>",
        "reaction_count": 123,
        "reactions": [
          {}
        ],
        "target_id": "<string>",
        "target_type": "<string>",
        "updated_at": "2023-11-07T05:31:56Z",
        "attachments": [
          {}
        ],
        "author_photo_thumbnail_url": "<string>",
        "author_photo_thumbnail_url_expires_at": "2023-11-07T05:31:56Z",
        "author_photo_url": "<string>",
        "author_photo_url_expires_at": "2023-11-07T05:31:56Z"
      },
      "id": "<string>",
      "links": {},
      "type": "comments"
    }
  ],
  "links": {},
  "meta": {
    "has_more": true,
    "next_cursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

comment_id
string
required

Query Parameters

hub_id
string
required
page[after]
string | null
page[size]
string | null

Response

Successful Response

JSON:API list envelope for comments.

Shape: { "data": [ , ... ], "meta": { "next_cursor": "...", "has_more": true }, "links": { "self": "..." } }

data
CommentResource · object[]
required
meta
CommentListMeta · object
required

Pagination meta for a comment list response.

next_cursor format: "<created_at ISO-8601>|" Clients pass this value as page[after]=.